Bug 194296 - IllegalStateException: AntSession/AntEvent/TaskStructure method called after completion of Ant process
IllegalStateException: AntSession/AntEvent/TaskStructure method called after ...
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Jesse Glick
issues@projects
EXCEPTIONS_REPORT
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-13 10:16 UTC by Martin Entlicher
Modified: 2011-03-04 05:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (636 bytes, text/plain)
2011-01-13 10:16 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2011-01-13 10:16:56 UTC
Build: NetBeans IDE Dev (Build 101112-828401e30f74)
VM: Java HotSpot(TM) Client VM, 19.0-b05, Java(TM) SE Runtime Environment, 1.7.0-ea-b106
OS: Linux

Stacktrace: 
java.lang.IllegalStateException: AntSession/AntEvent/TaskStructure method called after completion of Ant process
   at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.verifyRunning(NbBuildLogger.java:224)
   at org.apache.tools.ant.module.bridge.impl.NbBuildLogger.println(NbBuildLogger.java:656)
   at org.apache.tools.ant.module.spi.AntSession.println(AntSession.java:127)
   at org.apache.tools.ant.module.run.StandardLogger$PartiallyLinkedLine.println(StandardLogger.java:461)
   at org.apache.tools.ant.module.bridge.impl.ForkedJavaOverride$Copier.run(ForkedJavaOverride.java:310)
   at java.lang.Thread.run(Thread.java:717)
Comment 1 Martin Entlicher 2011-01-13 10:16:59 UTC
Created attachment 104950 [details]
stacktrace
Comment 2 Jesse Glick 2011-03-03 18:30:03 UTC
core-main #35f3926c8c56
Comment 3 Quality Engineering 2011-03-04 05:42:13 UTC
Integrated into 'main-golden', will be available in build *201103040000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/35f3926c8c56
User: Jesse Glick <jglick@netbeans.org>
Log: #194296: IllegalStateException: AntSession/AntEvent/TaskStructure method called after completion of Ant process
ThreadDeath is generally just caught and ignored when the thread exits.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo